Bug 1808433 - [4.2.z] No global tolerations for NodeCA DaemonSet
Summary: [4.2.z] No global tolerations for NodeCA DaemonSet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1808431
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-28 14:19 UTC by Adam Kaplan
Modified: 2020-05-13 11:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: nodeca daemon doesn't tolerate NoSchedule Consequence: it cannot be deployed on tainted nodes Fix: tolerate NoSchedule Result: the deamon can manage certificate on nodes with NoSchedule
Clone Of: 1808431
Environment:
Last Closed: 2020-05-13 11:07:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 473 None closed [release-4.2] Bug 1808433: tolerate all NoSchedule taints 2020-05-13 14:03:08 UTC
Red Hat Product Errata RHBA-2020:2023 None None None 2020-05-13 11:07:37 UTC

Comment 3 Wenjing Zheng 2020-04-21 09:42:58 UTC
Verified on 4.2.0-0.nightly-2020-04-20-085107, after adding taint to node, node-ca pod number doesn't decrease.

Comment 7 errata-xmlrpc 2020-05-13 11:07:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2023


Note You need to log in before you can comment on or make changes to this bug.